aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-12-22 11:41:08 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-12-22 11:41:08 +1300
commitdaca986bff3296dd5f6eca2b9a3aa345d66f0fd0 (patch)
tree4573efe45a8195ffd20eb6309dee6e941d6ee23b /bin
parentAdd some aliases for irssi (diff)
downloaddotfiles-daca986bff3296dd5f6eca2b9a3aa345d66f0fd0.tar.gz
dotfiles-daca986bff3296dd5f6eca2b9a3aa345d66f0fd0.zip
Enforce args for vest(1df) and vex(1df)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/vest4
-rwxr-xr-xbin/vex4
2 files changed, 8 insertions, 0 deletions
diff --git a/bin/vest b/bin/vest
index db73e86d..91a0a3a9 100755
--- a/bin/vest
+++ b/bin/vest
@@ -1,2 +1,6 @@
#!/bin/sh
+if [ "$#" -eq 0 ] ; then
+ printf >&2 'vest: Need test(1) arguments\n'
+ exit 2
+fi
vex test "$@"
diff --git a/bin/vex b/bin/vex
index 66c9590f..908288ba 100755
--- a/bin/vex
+++ b/bin/vex
@@ -1,5 +1,9 @@
#!/bin/sh
# Run a command and print a string to stdout showing pass/fail
+if [ "$#" -eq 0 ] ; then
+ printf >&2 'vex: Need a command\n'
+ exit 2
+fi
"$@"
ex=$?
case $ex in